# -*- coding: utf-8 -*-

children = []
models = [
    {'model_name': 'country', 'model_label': 'country'},
    {'model_name': 'administrativearea', 'model_label': 'administrative area'},
]

for model in models:
    add_entry = {
        "title": f"add {model['model_label']}",
        "url_name": f"admin:l10n_{model['model_name']}_add",
        "perms": [f"l10n.add_{model['model_name']}"],
    }
    children.append(add_entry)
    list_entry = {
        "title": f"list {model['model_label']}",
        "url_name": f"admin:l10n_{model['model_name']}_changelist",
        "perms": [
            f"l10n.view_{model['model_name']}",
            f"l10n.change_{model['model_name']}"
        ],
    }
    children.append(list_entry)

menu_items = [{
    'title': 'l10n',
    'url_name': {'viewname': 'admin:app_list', 'kwargs': {'app_label': 'l10n'}},
    'perms': ['l10n.*'],
    'children': children
}]
